> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of telecom splices > Operation is used to get a list of telecom splices. Available from product version 3.2.8. Splices can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /splices/ { "info": { "contact": { "email": "keypro@keypro.fi", "name": "Keypro Oy", "url": "https://keypro.fi/" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "termsOfService": "https://www.keypro.fi/en/terms-of-service", "title": "KeyCom REST API", "version": "2.0.0" }, "tags": [ { "description": "Plan related operations.", "name": "Plan" }, { "description": "FreeArea related operations.", "name": "FreeArea" }, { "description": "FreeLine related operations.", "name": "FreeLine" }, { "description": "FreeText related operations.", "name": "FreeText" }, { "description": "FreeText component related operations.", "name": "FreeTextComponent" }, { "description": "Building address related operations.", "name": "Address" }, { "description": "Building apartments related operations.", "name": "Apartment" }, { "description": "Extra attributes related operations.", "name": "Extra Attribute" }, { "description": "Extra attribute values related operations.", "name": "Extra Value" }, { "description": "External documents related operations.", "name": "External Document" }, { "description": "Attached Documents related operations.", "name": "Attached Document" }, { "description": "Collection related operations.", "name": "Collections" }, { "description": "External source system derived apartment related operations.", "name": "Source system apartment" }, { "description": "External source system derived address related operations.", "name": "Source system address" }, { "description": "Address aliases related operations", "name": "Address alias" }, { "description": "TxtConstants related operations.", "name": "TxtConstant" }, { "description": "Point objects related operations.", "name": "Point" }, { "description": "Survey Constants related operations.", "name": "Survey Constant" }, { "description": "Survey Points related operations.", "name": "Survey Point" }, { "description": "Survey Line Strings related operations.", "name": "Survey Line String" }, { "description": "Template Catalog related operations.", "name": "Template Catalog" }, { "description": "Route following related operations.", "name": "Route Following" }, { "description": "Contact person related operations.", "name": "Contact Person" }, { "description": "Contact person connection related operations.", "name": "Contact Person Connection" }, { "description": "Telecom premises related operations.", "name": "Telecom premises" }, { "description": "Device related operations.", "name": "Device" }, { "description": "Device Group related operations.", "name": "Device Group" }, { "description": "Telecom Splice related operations.", "name": "Splice" }, { "description": "Telecom Conduit related operations.", "name": "Telecom Conduit" }, { "description": "Operations related to putting Telecom Cables and Ducts into Conduits.", "name": "Telecom Conduit Link" }, { "description": "Telecom Duct related operations.", "name": "Telecom Duct" }, { "description": "Operations related to putting Telecom Cables into Ducts.", "name": "Telecom Duct Link" }, { "description": "Operations related to connecting Conduits and endpoints.", "name": "Telecom Conduit Connection" }, { "description": "Operations related to connecting Cables and endpoints", "name": "Telecom Cable Connection" }, { "description": "Operations related to connecting and disconnecting telecom cable threads and device ports", "name": "Telecom Thread/Port Connection" }, { "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole.", "name": "Telecom Duct Connection" }, { "description": "Telecom Manhole related operations.", "name": "Manhole" }, { "description": "Telecom Cable related operations.", "name": "Cable" }, { "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted.", "name": "Cable Appendix" }, { "description": "Telecom Supercable related operations.", "name": "Supercable" }, { "description": "Cross connection point related operations.", "name": "Cross connection point" }, { "description": "Service Area related operations.", "name": "Service Area" }, { "description": "Exchange Area related operations.", "name": "Exchange Area" }, { "description": "Telecom Area related operations.", "name": "Telecom Area" }, { "description": "Routefollower related operations.", "name": "Routefollower" }, { "description": "Circuit related operations.", "name": "Circuit" }, { "description": "Circuit installation location related operations.", "name": "Circuit Location" }, { "description": "Circuit section related operations.", "name": "Circuit Section" }, { "description": "Circuit reservation data view and search operations.", "name": "Circuit Reservation Data" }, { "description": "Customer data related operations.", "name": "Customer" }, { "description": "Passed Services related operations.", "name": "Passed Services" }, { "description": "Circuit logical reservations related operations.", "name": "Circuit Connection" }, { "description": "Circuit physical reservations related operations.", "name": "Circuit Physical Reservation" }, { "description": "Operation used to create new connections.", "name": "Create connections" }, { "description": "Terminal types related operations.", "name": "Terminal type" }, { "description": "Logical connections related operations.", "name": "Logical connections" }, { "description": "Operations provided by micro services.", "name": "Circuit Services" }, { "description": "Contract related operations.", "name": "Contract" }, { "description": "Contract link related operations.", "name": "Contract Link" }, { "description": "Pole related operations.", "name": "Pole" }, { "description": "Circuit faults related operations.", "name": "Circuit faults" }, { "description": "Duct groups related operations.", "name": "Duct groups" }, { "description": "Duct group rows related operations.", "name": "Duct group rows" }, { "description": "Cable thread related operations.", "name": "Threads" }, { "description": "Task related operations.", "name": "Task" }, { "description": "Subregion related operations.", "name": "Subregion" }, { "description": "SAttribute related operations.", "name": "SAttribute" }, { "description": "Fault related operations.", "name": "Fault" }, { "description": "Maintenance history related operations.", "name": "Maintenance history" }, { "description": "Deflection related operations.", "name": "Deflection" }, { "description": "Fault Component related operations.", "name": "Fault Component" }, { "description": "Task comment related operations.", "name": "Task Comment" }, { "description": "FaultComponentFault related operations.", "name": "FaultComponentFault" } ], "paths": { "/splices/": { "get": { "description": "Operation is used to get a list of telecom splices. Available from product version 3.2.8.\n\nSplices can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getSplices", "parameters": [ { "$ref": "#/parameters/offsetParam" }, { "$ref": "#/parameters/limitParam" }, { "$ref": "#/parameters/srsParam" }, { "$ref": "#/parameters/precisionParam" }, { "$ref": "#/parameters/dimsParam" }, { "$ref": "#/parameters/filterParam" }, { "$ref": "#/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "examples": { "application/json": { "Next": "https://example.keycom.fi/api/v2/splices/?limit=10&offset=10&plan__isnull=0", "Previous": null, "Results": [ { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "0.0", "attenuation": null, "createdBy": "user", "createdTs": "2022-10-13T11:23:07", "heightAccuracy": null, "historyDate": null, "id": "238730", "identification": "rest-test-splice", "installYear": "2023", "location": null, "locationAccuracy": null, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-10-13T11:23:07", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "0.0", "attenuation": null, "createdBy": "user", "createdTs": "2022-10-13T08:33:01", "heightAccuracy": null, "historyDate": null, "id": "238350", "identification": "rest-test-splice", "location": null, "locationAccuracy": null, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-10-13T08:33:01", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "0.0", "attenuation": null, "createdBy": "user", "createdTs": "2022-10-13T08:26:56", "heightAccuracy": null, "historyDate": null, "id": "238330", "identification": "rest-test-splice", "location": null, "locationAccuracy": null, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-10-13T08:26:56", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "0.0", "attenuation": null, "createdBy": "user", "createdTs": "2022-10-11T08:51:51", "heightAccuracy": null, "historyDate": null, "id": "237530", "identification": "DorothyMosby", "location": "SRID=3067;POINT Z (458050.15356464 6704193.1464874 0)", "locationAccuracy": null, "manhole": null, "mapper": "", "mappingMethod": null, "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_OWNER", "id": "380050", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_OWNER/", "logical_txt": "Keypro", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Keypro" }, "placement": null, "plan": null, "productName": null, "remarks": "MosbyRemarks", "renter": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_OWNER", "id": "380050", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_OWNER/", "logical_txt": "Keypro", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Keypro" }, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-10-11T08:51:51", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "0.0", "attenuation": null, "createdBy": "user", "createdTs": "2022-09-12T13:21:32", "heightAccuracy": null, "historyDate": null, "id": "237130", "identification": "JackSplice", "location": "SRID=3067;POINT Z (459531.1353259 6699838.3236453 0)", "locationAccuracy": null, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-09-12T13:21:32", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "-81.6341138957387", "attenuation": null, "createdBy": "user", "createdTs": "2022-09-01T06:00:07", "heightAccuracy": null, "historyDate": null, "id": "236750", "identification": "My Splice", "location": "SRID=3067;POINT Z (459532.835516627 6699891.229056565 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "386030", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "+-5,0m", "num_value": "5.0", "num_value2": null, "num_value3": null, "num_value4": "1.0", "txt": "+-5,0m" }, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-09-09T06:38:43", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "-80.5385272424776", "attenuation": null, "createdBy": "user", "createdTs": "2022-09-01T05:39:48", "heightAccuracy": null, "historyDate": null, "id": "236730", "identification": "", "location": "SRID=3067;POINT Z (459518.7783301724 6699923.90515053 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "386030", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "+-5,0m", "num_value": "5.0", "num_value2": null, "num_value3": null, "num_value4": "1.0", "txt": "+-5,0m" }, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-09-01T05:39:48", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "-80.5385272424692", "attenuation": null, "createdBy": "user", "createdTs": "2022-08-31T15:53:07", "heightAccuracy": null, "historyDate": null, "id": "236330", "identification": "", "location": "SRID=3067;POINT Z (459513.7680413721 6699893.840669083 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "386030", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "+-5,0m", "num_value": "5.0", "num_value2": null, "num_value3": null, "num_value4": "1.0", "txt": "+-5,0m" }, "manhole": null, "mapper": "", "mappingMethod": null, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-08-31T15:53:07", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/7305765/", "angle": "0.0", "attenuation": "500.99", "createdBy": "user", "createdTs": "2022-05-31T13:29:36", "heightAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "H_ACCURACY", "id": "386550", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "100 m", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "100 m" }, "historyDate": "2022-05-31", "id": "235930", "identification": "Test-rest-splice", "location": "SRID=3067;POINT Z (645320.11303404 6939591.6970413 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "386090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "+-0,2m", "num_value": "0.2", "num_value2": null, "num_value3": null, "num_value4": "4.0", "txt": "+-0,2m" }, "manhole": "https://example.keycom.fi/api/v2/manholes/4034410/", "mapper": "Mapperni", "mappingMethod": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "MAPPING_METHOD", "id": "190", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Takymetri", "num_value": "2.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Takymetri" }, "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_OWNER", "id": "380050", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_OWNER/", "logical_txt": "Keypro", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Keypro" }, "placement": null, "plan": "https://example.keycom.fi/api/v2/keycore-plans/200190/", "productName": null, "remarks": "MosbyRemarks", "renter": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_OWNER", "id": "304970", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_OWNER/", "logical_txt": "Ei määritelty", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Ei määritelty" }, "scale": "4.0", "survey_amount": "100", "telecomArea": "https://example.keycom.fi/api/v2/telecom-areas/35270/", "telecomPremise": "https://example.keycom.fi/api/v2/premises/647410/", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-10-13T08:43:25", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } }, { "address": "https://example.keycom.fi/api/v2/apartments/30886/", "angle": "0.0", "attenuation": null, "createdBy": "user", "createdTs": "2022-05-30T13:27:29", "heightAccuracy": null, "historyDate": null, "id": "235530", "identification": "", "location": "SRID=3067;POINT Z (687744.5720950547 6901850.261111172 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "386070", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "+-1,0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "+-1,0m" }, "manhole": null, "mapper": "user", "mappingMethod": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "MAPPING_METHOD", "id": "190", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Takymetri", "num_value": "2.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Takymetri" }, "owner": null, "placement": null, "plan": null, "productName": null, "remarks": "", "renter": null, "scale": "1.0", "survey_amount": "", "telecomArea": null, "telecomPremise": null, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_TYPE", "id": "379790", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Fiber", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kuitu" }, "updatedBy": "user", "updatedTs": "2022-05-30T13:27:29", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "SPLICE_STATE", "id": "380090", "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Planned", "num_value": "2.0", "num_value2": null, "num_value3": "1.0", "num_value4": null, "txt": "Suunniteltu" } } ], "Total": "11" } }, "schema": { "properties": { "Next": { "description": "Url to next page of splices list. Null if No next page exist", "format": "url", "type": "string" }, "Previous": { "description": "Url to previous page of splices list. Null if No previous page exist", "format": "url", "type": "string" }, "Results": { "description": "List of fetched telecom splices", "items": { "$ref": "#/definitions/Splice" }, "type": "array" }, "Total": { "description": "Total number of telecom splices", "type": "integer" } }, "type": "object" } }, "401": { "$ref": "#/responses/Http401" } }, "security": [ { "Token": [] } ], "summary": "Get list of telecom splices", "tags": [ "Splice" ] } } } } ````